package DBIx::Handle;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require AutoLoader;

@ISA = qw(Exporter AutoLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(
	
);
$VERSION = '0.01';


# Preloaded methods go here.


use DBI;

sub Connect {
  my $Database = shift;
  my $Host = shift;

  my $User = shift;
  my $Password = shift;
  my $Driver = shift;
  my $dsn;

  $dsn = "dbi:$Driver:$Database:$Host";

  
  $dbh = DBI->connect($dsn, $User, $Password) || print STDERR "Connect Failed $DBI::errstr\n" ;
  
  
}


sub UpdateTableValue {

  my $Table = shift;
  my $Col = shift;
  my $NewValue = shift;
  my $Record = shift;
  my $QueryString;
  
  # quote the value
  $NewValue=$self->safe_quote($NewValue);
  # build the query string
  $QueryString = "UPDATE $Table SET $Col = $NewValue WHERE id = $Record";
 
  
  #TODO some day we'll have acls and owner will be important.
  # TODO update the last edited 
print STDERR "Query is $QueryString\n";

  my $sth = $self->{'dbh'}->prepare($QueryString);
  if (!$sth) {
    
    if ($main::debug) {
      die "Error:" . $self->{'dbh'}->errstr . "\n";
    }
    else {
      return (0);
      
    }
  }
if (!$sth->execute) {
    if ($self->{'debug'}) {
      die "Error:" . $sth->errstr . "\n";
    }
    else {
      return(0);
    }
    
  }
  
  return (1); #Update Succeded
}

sub safe_quote {
  my $in_val = shift;
  my ($out_val);
  if (!$in_val) {
    return ("''");
    
  }
  else {
    $out_val = $self->{'dbh'}->quote($in_val);
    
  }
  return("$out_val");
  
}



1;
# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

DBIx::Handle - Perl extension which is a generic DBI handle

=head1 SYNOPSIS

  use DBIx::Handle;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for DBIx::Handle was created by h2xs. 
Jesse's a slacher.

Blah blah blah.

=head1 AUTHOR

Jesse Vincent, jesse@fsck.com

=head1 SEE ALSO

perl(1).

=cut
